<?php

declare(strict_types=1);

namespace app\models;

use CdekSDK2\Client;

class Cdek extends Document
{
    public static function collectionName(): string
    {
        return 'cdek';
    }

    public function attributes(): array
    {
        return array_merge(
            parent::attributes(),
            [
                'data'
            ]
        );
    }

    public function attributeLabels(): array
    {
        return array_merge(
            parent::attributeLabels(),
            [
                'data' => 'Данные ДеловыеЛинии',
            ]
        );
    }

    /**
     * Поиск по идентификатору города
     */
    public static function searchByCityId(string $id): ?static
    {
        return static::findOne(['data["id"]' => $id]);
    }
}
